<?php
namespace app\admin\controller\package;

use app\admin\controller\BaseController;
use app\admin\server\package\PackageOrderServer;

class PackageOrder extends BaseController
{

    /**
     * Notes:获取订单列表
     * @return \support\Response
     * User: QJF
     * Date: 2022/9/20
     */
    public function getPackageOrderList()
    {
        [$page, $limit] = $this->getPage();
        $keywords = $this->request->get('keywords');
        $result         = PackageOrderServer::getPackageOrderList($page, $limit,$keywords);
        return json_success($result, '成功');
    }
    /**
     * Notes:订单详情
     * @return \support\Response
     * User: QJF
     * Date: 2022/9/20
     */
    public function infoPackageOrder()
    {
        $order_id = $this->request->get('order_id');
        $result         = PackageOrderServer::packageOrderInfo($order_id);
        if ($result){
            return json_success($result, '获取成功');
        }else{
            throw new \Exception('获取失败！');
        }

    }

    /**
     * Notes:修改订单支付状态
     * @return \support\Response
     * User: YCP
     * Date: 2022/11/28
     */
    public function updatePayStatus()
    {
        $order_id = $this->request->post('order_id');
        $order_pay_status = $this->request->post('order_pay_status');
        if(!$order_id){
            throw new \Exception('订单ID不能为空');
        }
        $result       = PackageOrderServer::updatePayStatus($order_id, $order_pay_status);
        return json_success($result, '修改成功');
    }
}
